Get a set of rows from draft table
curl --request POST \
--url https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/rows/draft/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/rows/draft/batch/read"
payload = { "inputs": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: ['<string>']})
};
fetch('https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/rows/draft/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"childTableId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"path": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"values": {}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"childTableId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"path": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"values": {}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{invalidPropertyName=[propertyValue], missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Filas
Get a set of rows from draft table
Returns rows in the draft version of the specified table, given a set of row IDs.
POST
/
cms
/
v3
/
hubdb
/
tables
/
{tableIdOrName}
/
rows
/
draft
/
batch
/
read
Get a set of rows from draft table
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
Cuerpo
application/json
Respuesta
successful operation
The timestamp indicating when the batch processing was completed.
Show child attributes
Show child attributes
The timestamp indicating when the batch processing began.
The current status of the batch operation, with possible values: CANCELED, COMPLETE, PENDING, PROCESSING.
Opciones disponibles:
CANCELED, COMPLETE, PENDING, PROCESSING A collection of related links associated with the batch response.
Show child attributes
Show child attributes
The timestamp indicating when the batch request was made.
Última modificación el 3 de abril de 2026
⌘I